Use this API to retrieve DORA metrics for groups and projects. Additional metrics are available through the GraphQL API.

These endpoints require the Reporter, Developer, Maintainer, or Owner role.

Get group DORA metrics

GET /api/v4/groups/{id}/dora/metrics

Retrieves one DORA metric for a group hierarchy over a selected period.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the group
Example: 12
metric
Query, required
StringDORA metric to retrieve
Allowed values: deployment_frequency, lead_time_for_changes, time_to_restore_service, change_failure_rate
Minimum length: 1
Example: deployment_frequency
start_date
Query
String (date)First day of the period
Example: 2026-03-01
end_date
Query
String (date)Last day of the period
Example: 2026-03-31
interval
Query
StringSize of the aggregation bucket
Allowed values: all, monthly, daily
Default: daily
Example: daily
environment_tiers
Query
Array of stringsEnvironment tiers to include
Example: ["production"]

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesDoraMetric
400Bad request—
401Unauthorized—
403Forbidden—
404Not found—

Get project DORA metrics

GET /api/v4/projects/{id}/dora/metrics

Retrieves one DORA metric for a project over a selected period.

Parameters

NameTypeDescription
id
Path, required
String or integerThe ID or URL-encoded path of the project
Example: 11
metric
Query, required
StringDORA metric to retrieve
Allowed values: deployment_frequency, lead_time_for_changes, time_to_restore_service, change_failure_rate
Minimum length: 1
Example: deployment_frequency
start_date
Query
String (date)First day of the period
Example: 2026-03-01
end_date
Query
String (date)Last day of the period
Example: 2026-03-31
interval
Query
StringSize of the aggregation bucket
Allowed values: all, monthly, daily
Default: daily
Example: daily
environment_tiers
Query
Array of stringsEnvironment tiers to include
Example: ["production"]

Responses

CodeDescriptionSchema
200OKArray of APIEntitiesDoraMetric
400Bad request—
401Unauthorized—
403Forbidden—
404Not found—

Schemas

Objects returned by the operations above and objects nested in their request bodies.

APIEntitiesDoraMetric

PropertyTypeDescription
dateString (date)Example: 2026-03-04
valueNumberExample: 1.5